.nt-my-job {
  width: 100%;
  overflow: auto;
}

.nt-list-col {
  display: inline-block;
  min-width: 100%;
  width: max-content;

  .nt-col {
    width: 360px;
    float: left;
    margin-right: 20px;
    background: #E8E9F1;

    &:last-child {
      margin-right: 0;
    }

    .nt-col-head {
      padding: 15px 20px;
      background-color: #fff;
      box-shadow: 0px 0px 10px rgba(68, 79, 120, 0.15);
      border-radius: 4px 4px 0px 0px;
      border-top: 6px solid #fff;

      .nt-col-head-title {
        font-weight: 500;
        font-size: 18px;
        line-height: 27px;
        color: #444F78;
        display: flex;
        align-items: center;

        .nt-col-head-title-info {
          margin-left: 10px;
          color: #444F78;
          cursor: pointer;
          width: 18px;
          height: 18px;
          background: #F2F3F8;
          border: 1px solid #CCD2E2;
          border-radius: 50%;
          font-size: 10px;
          display: flex;
          align-items: center;
          justify-content: center;

          &:hover {
            color: #444F78;
          }
        }
      }

      .nt-col-head-count {
        font-weight: 500;
        font-size: 14px;
        line-height: 21px;
        color: #838CAB;
      }
    }

    .scroll-box {
      height: calc(100vh - 270px);

      .nt-col-body {
        padding: 0 5px;
        margin: 10px 5px;
        overflow-y: auto;
        overflow-x: hidden;
        flex: 1;

        @media (max-width: 768px) {
          height: 500px;

          &.allow-add {
            height: 460px;
          }
        }

        .sortable-ghost {
          position: relative;

          &:after {
            content: '';
            position: absolute;
            border-radius: 4px;
            top: -2px;
            right: -2px;
            bottom: -2px;
            left: -2px;
            z-index: 1;
            background-color: #E8E9F1;
            border: 2px dashed #868DA8;
          }
        }

        .nt-item {
          padding: 10px;
          background: #FFFFFF;
          box-shadow: 0px 0px 10px rgba(68, 79, 120, 0.15);
          border-radius: 4px;
          margin-bottom: 10px;
          position: relative;
          cursor: move;
          border: 2px dashed transparent;

          &:last-child {
            margin-bottom: 0;
          }

          .actions {
            width: 24px;
            margin-left: 10px;
            position: absolute;
            top: 10px;
            right: 10px;

            .item-dropdown {
              width: 24px;
              height: 24px;
              border-radius: 4px;
              text-align: center;
              line-height: 24px;
              color: #444F78;
              display: block;

              i {
                position: relative;
                top: 2px;
              }

              &:hover {
                background-color: #F2F3F8;

              }
            }
          }

          .nt-item-title {
            font-weight: 500;
            font-size: 14px;
            line-height: 24px;
            color: #444F78;

            .title {
              display: -webkit-box;
              max-height: 48px;
              -webkit-line-clamp: 2;
              -webkit-box-orient: vertical;
              overflow: hidden;
              text-overflow: ellipsis;
              width: calc(100% - 34px);
            }
          }

          &.sortable-chosen {
            border: 2px dashed #444F78;
          }

          .nt-item-time {
            font-weight: 500;
            font-size: 13px;
            color: #444F78;
            margin-top: 6px;
            border-radius: 4px;
            height: 24px;
            line-height: 22px;
            display: flex;

            i {
              font-size: 14px;
              line-height: 22px;
              color: #444F78;
              margin-right: 8px;
            }

            .nt-item-expire {
              padding: 5px;
              background: #BB1130;
              border-radius: 4px;
              color: #fff;
              line-height: 0;
              margin-right: 8px;

              i {
                color: #fff;
                font-size: 14px;
                line-height: 1;
                margin: 0;
              }
            }
          }
        }
      }

      .btn-add {
        font-weight: 500;
        font-size: 14px;
        line-height: 17px;
        color: #2577C9;
        flex: 0 0 40px;
        border-radius: 0 0 4px 4px;
        background: #fff;

        i {
          margin-right: 5px;
        }
      }
    }
  }
}